# Copyright (c) 2001
#	Phil Thompson <phil@river-bank.demon.co.uk>
# Copyright (c) 2002, 2003
#	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
#
# The project file for pyuic for TQt v3.


TEMPLATE	= app
CONFIG		+= qt console warn_on release @PYQT_RBPROF@
INCLUDEPATH	+= @BLX_INCLUDEPATH@ $(QTDIR)/src/3rdparty/zlib
DEFINES		+= UIC QT_INTERNAL_XML @BLX_DEFINES@

DESTDIR		= @PYQT_BINDIR@
TARGET		= pyuic

HEADERS		= uic.h \
		  widgetdatabase.h \
		  domtool.h \
		  parser.h \
		  widgetinterface.h

SOURCES		= main.cpp \
		  uic.cpp \
		  form.cpp \
		  object.cpp \ 
		  subclassing.cpp \
		  embed.cpp \
		  widgetdatabase.cpp \
		  domtool.cpp \
		  parser.cpp

rbprof:exists($(QTDIR)/src/qt_professional.pri) {
	QT_SOURCE_TREE = $(QTDIR)
	include($(QTDIR)/src/qt_professional.pri)
}
